Subject: [bug#28830] [PATCH] gnu: Add emacs-ggtags.

From: Oleg Pykhalov <[email-masked]>
Date: Tue, 31 Oct 2017 20:11:14 +0300

Hello Christopher,

Christopher Baines <[email-masked]> writes:

>> >> +    (synopsis "Frontend to GNU Global source code tagging system")  
>> >
>> > I'd suggest putting "the" in here, so "Frontend to the GNU Global ...",
>> > as I think that reads better.  
>> 
>> [...]
>> 
>> > Similarly with "the GNU Global" in the description. What do you think?
>> > Apart from that, this looks fine to me :)  
>> 
>> I don't think so.  Upstream¹ doesn't have an article “the” before GNU
>> Global, too.  WDYT?
>> 
>> ¹ http://elpa.gnu.org/packages/ggtags.html
>
> I don't think there is any harm in improving on the descriptions of the
> software from the upstream source. But I'll leave it up to you to make
> the decision.
>
> Unfortunately, I don't have a very formal understanding of English
> grammar, but there is some information about definite articles [1].
> Which I think says that its appropriate to use as there is one,
> specific "GNU Global source code tagging system".
>
> 1:
> https://learnenglish.britishcouncil.org/en/english-grammar/determiners-and-quantifiers/definite-article

OK if you fill it's more readable or elegant.

I also checked some installed packages on my system.  It seems common to
use *the* before software name at least in package synopsis.

    Accessing passwords from *the* GNOME keyring  
    Access *the* Debbugs bug tracker in Emacs  
    Adjust *the* color temperature of your screen  
    An implementation of *the* Domain Name System  
    BASH completion for *the* shell buffer  
    Client and server for *the* secure shell (ssh) protocol  
    Commands to start *the* X Window server  
    Copy directory to *the* gh-pages branch  
    Development manual pages from *the* Linux project  
    Discover key bindings for *the* current Emacs major mode  
    Emacs interface for *the* Git version control system  
    Free replacements for *the* PostScript fonts  
    Go to *the* last change in *the* Emacs buffer  
    Grabs *the* path to JSON values in a JSON file  
    Implementation of *the* Perl programming language  
    Lisp dialect running on *the* JVM  
    Locate files on *the* file system  
    Manage encryption keys and passwords in *the* GNOME keyring  
    Polish up poor writing on *the* fly  
    Recursively list *the* contents of a directory  
    Reddit backend for *the* Gnus newsreader  
    Reference manual for *the* C programming language  
    Set *the* keyboard using *the* X Keyboard Extension  
    Single-player, RPG roguelike game set in *the* world of Eyal  
    Suggest Elisp functions that give *the* output requested  
    Terminal emulator for *the* 
    TeX Live, a package of *the* TeX typesetting system  
    *The* extensible, customizable, self-documenting text editor  
    *The* Glasgow Haskell Compiler  
    *The* GNU debugger  
    *The* GNU documentation format  
    *The* OCaml programming language  
    *The* SQLite database management system  
    *The* standard Windows interoperability suite of programs for GNU and Unix  
    Translations from *the* command line  
    Utilities for *the* Advanced Linux Sound Architecture (ALSA)  
    Xorg implementation of *the* X Window System

Pushed as cd5c3979d18ca5bc5d32b9044330453c244df1a5

Thanks,
Oleg.